Source: https://atomicwork-preview.docs-staging.pageloop.ai/api-reference/requests/postapi-v-1-requests-bulk-actions-bulk-action-type

# Bulk action on requests

POST `https://{tenant}.atomicwork.com/api/v1/requests/bulk-actions/{bulk_action_type}`

## Authorization

#### X-Api-Key (header, string, required)

## Headers

#### X-Workspace-Id (header, string)

## Path Parameters

#### bulk\_action\_type (path, enum (string), required)

The bulk action type

## Body

#### display\_ids (body, array of string)

#### assignee (body, string)

#### tags (body, array of integer)

#### option\_label (body, string)

#### sub\_option\_label (body, string)

#### all\_children (body, boolean)

#### major\_incident\_display\_id (body, string)

## Response

#### 200

Successful response

#### Request

```bash cURL
curl -X POST 'https://{tenant}.atomicwork.com/api/v1/requests/bulk-actions/{bulk_action_type}' \
  -H 'X-Api-Key: <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{"display_ids": ["string"], "assignee": "string", "tags": [0], "option_label": "string", "sub_option_label": "string", "all_children": true, "major_incident_display_id": "string"}'
```

```javascript JavaScript
const res = await fetch('https://{tenant}.atomicwork.com/api/v1/requests/bulk-actions/{bulk_action_type}', {
  method: 'POST',
  headers: {
    'X-Api-Key': '<api-key>',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({"display_ids": ["string"], "assignee": "string", "tags": [0], "option_label": "string", "sub_option_label": "string", "all_children": true, "major_incident_display_id": "string"}),
});
const data = await res.json();
```

```python Python
import requests

res = requests.post(
    'https://{tenant}.atomicwork.com/api/v1/requests/bulk-actions/{bulk_action_type}',
    headers={'X-Api-Key': '<api-key>'},
    json={"display_ids": ["string"], "assignee": "string", "tags": [0], "option_label": "string", "sub_option_label": "string", "all_children": true, "major_incident_display_id": "string"}
)
data = res.json()
```
